import QtQuick 2.15
import I.hate.dictators 1.0

Rectangle {
    width: lv.width
    height: 30

    required property string name
    required property string iso
    required property CountryType self


    Text {
        text: parent.name
        font.pixelSize: 20
        anchors.verticalCenter: parent.verticalCenter
    }

    Image {
        id: flag
        source: "qrc:/assets/flags/"+parent.iso+".svg"
        height: parent.height - 4
        anchors.right: parent.right
        fillMode: Image.PreserveAspectFit
        anchors.verticalCenter: parent.verticalCenter
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            mainWindow.selectedCountry = self
        }
    }
}
