import QtQuick 2.15
import QtQuick.Window 2.15
import I.hate.dictators 1.0

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("Flags of the world")
    id: mainWindow
    property CountryType selectedCountry

    ListView {
        id: lv
        anchors.left: parent.left
        height: parent.height
        width: parent.width / 3
        model: countries
        delegate: Country {
        }
    }

    CountryDetail {
        anchors.right: parent.right
        anchors.left: lv.right
        height: parent.height
        country: selectedCountry
    }
}
